Package org.springframework.aot.hint

# Class ResourcePatternHints.Builder

java.lang.Object
org.springframework.aot.hint.ResourcePatternHints.Builder

Enclosing class:
  ResourcePatternHints

public static class ResourcePatternHints.Builder extends Object
Builder for `ResourcePatternHints`.

## Method Summary

Modifier and Type
Method
Description
`ResourcePatternHints.Builder`
`excludes(String... excludes)`
Exclude resources matching the specified patterns.
`ResourcePatternHints.Builder`
`excludes(TypeReference reachableType, String... excludes)`
Exclude resources matching the specified patterns.
`ResourcePatternHints.Builder`
`includes(String... includes)`
Include resources matching the specified patterns.
`ResourcePatternHints.Builder`
`includes(TypeReference reachableType, String... includes)`
Include resources matching the specified patterns.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### includes

public ResourcePatternHints.Builder includes(@Nullable TypeReference reachableType, String... includes)
Include resources matching the specified patterns.

Parameters:
  `reachableType` - the type that should be reachable for this hint to apply
  `includes` - the include patterns (see `ResourcePatternHint` documentation)
Returns:
  `this`, to facilitate method chaining

### includes

public ResourcePatternHints.Builder includes(String... includes)
Include resources matching the specified patterns.

Parameters:
  `includes` - the include patterns (see `ResourcePatternHint` documentation)
Returns:
  `this`, to facilitate method chaining

### excludes

public ResourcePatternHints.Builder excludes(@Nullable TypeReference reachableType, String... excludes)
Exclude resources matching the specified patterns.

Parameters:
  `reachableType` - the type that should be reachable for this hint to apply
  `excludes` - the exclude patterns (see `ResourcePatternHint` documentation)
Returns:
  `this`, to facilitate method chaining

### excludes

public ResourcePatternHints.Builder excludes(String... excludes)
Exclude resources matching the specified patterns.

Parameters:
  `excludes` - the exclude patterns (see `ResourcePatternHint` documentation)
Returns:
  `this`, to facilitate method chaining